#
# spec file for package gap-help
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-help
Version:        3.3
Release:        lp151.2.1
Summary:        GAP: Hertweck-Luthar-Passi method
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://homepages.vub.ac.be/abachle/help/

# unversioned tarball, causes change notices all the time
#Source:         http://homepages.vub.ac.be/~abachle/help/help.tar.gz
Source:         help.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# For zsolve
Requires:       4ti2 >= 1.6.5
Requires:       gap-4ti2interface >= 2015.04.29
Requires:       gap-core >= 4.8.2
Requires:       gap-ctbllib >= 1.2.2
Requires:       gap-io >= 4.2
Requires:       gap-normalizinterface >= 0.9.6

%description
HeLP is a package to compute constraints on partial augmentations of
torsion units in integral group rings using a method developed by
Luthar, Passi and Hertweck. The package can be employed to verify the
Zassenhaus Conjecture and the Prime Graph Question for finite groups,
once characters are known. It uses an interface to the software
package 4ti2 to solve integral linear inequalities.

%prep
%setup -qn help

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 3.3
  * Line 542 in "expamples/examples.g" corrected
  * testfile in PackageInfo.g changed to "tst/testall.g"
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 3.1
  * New function HeLP_AutomorphismOrbits, HeLP_IsZCKnown,
    HeLP_WithGivenOrderAllTables, HeLP_WithGivenOrderAndPAAllTables,
    HeLP_WriteTrivialSolution.
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 3.0
  * Normaliz is included as a possible solver.
  * Functions included to switch between the solvers. For normaliz,
  a function is included to influence whether normaliz computes
  vertices of polyhedra.
* Fri Mar 11 2016 jengelh@inai.de
- Initial package (version 2.2) for build.opensuse.org
